openapi: "3.0.1"
info:
  title: CMoneyPortfolio
  description: Analyze Taiwan stocks and get exclusive investing data from leading fintech CMoney in Taiwan.
  version: v1
servers:
  - url: https://stockportfolio.cmoney.tw
paths:
  '/api/MarketData/getStockInformation/{locale}/{compnay}':
    get:
      operationId: getStockInformation
      summary: Get the stock information
      tags:
        - MarketData
      parameters:
        - name: locale
          in: path
          required: true
          schema: {
              "type": "string",
              "description": "The language of the user's prompt.",
              "enum": [
                  "en-us",
                  "zh-tw"
              ]
          }
        - name: compnay
          in: path
          required: true
          schema: {
              "type": "string",
              "description": "The compnay name or id"
          }
      responses:
        '200':
          description: Success